Google Play to require certain API levels for all apps starting mid-2018

0
155

Google is in a continuous struggle to make sure that the apps found in the Google Play Store are legit, secure, and will give the best experience to users. Because of this commitment, Google is also continually trying to tweak its requirements for apps in the Play Store to keep up the standards of putting out the best performing apps available.

Starting in August 2018, the Play Store will require that new apps and app updates target a recent Android API level. When Google puts out a new version of Android, the API level increases – and the changes therein advance the security and privacy protections of Android. When developers adhere to these requirements, they actually help secure their apps and protect people from malware.

Other new requirements for the Play Store apps include that new apps and app updates will need to have native libraries that provide 64-bit versions in addition to the more common 32-bit versions. This will give users a choice of which version they want to download, if their device is optimized for 64-bit operations.

Lastly, the Play Store will start adding a small amount of security metadata on top of each APK to further verify app authenticity. This will start happening in early 2018, and developers will not need to take any action for this to start happening – this is totally on the side of Google.

SOURCE: Android

via Android Community

December 20, 2017 at 01:07AM